Get an Adjusted Balance by ID
get
/adjustBalance/{id}
Gets the specified adjusted balance.
Request
Path Parameters
-
id(required): string
The adjustment ID or adjustment number.Examples
Query Parameters
-
@type: string
The type of object to return. Use @type=AdjustBalance for a base object. Use @type=AdjustBalanceOracle for an extended object.
-
fields: string
The list of comma-separated fields to return in the response.Examples
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json;charset=utf-8
200 Response
The adjusted balance was retrieved successfully.
Root Schema : Adjust Balance
Type:
objectTitle:
Adjust BalanceAn adjustment to a balance.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. (BRM does not use this property). -
@type: string
Title:
TypeThe object's subclass. -
actionType: string
Title:
Action TypeThe type of adjustment action. -
adjustmentNo: string
Title:
Adjustment NumberThe adjustment number associated with this adjustment. -
adjustType: string
The adjustment type. (BRM does not use this property).
-
amount: object
Quantity
Represents an amount in a specified unit.
-
bieId: array
bieId
The bills, items, or events are associated with the adjustment.
-
billingCycleSpecification: object
Billing Cycle Specification Ref Oracle
Title:
Billing Cycle Specification Ref OracleA reference to a billing cycle specification, extended for BRM REST Services Manager. -
billStructure: object
Bill Structure Ref
Title:
Bill Structure RefA reference to a bill structure, extended for BRM REST Services Manager. -
bucket: object
Bucket Ref
Title:
Bucket RefA reference to a bucket. -
channel: object
ChannelRef
A reference to a channel.
-
confirmationDate: string
(date-time)
Title:
Confirmation DateThe date that the adjustment was confirmed. -
description: string
Title:
Adjust Balance DescriptionThe adjusted balance's description. -
href: string
(uri)
Title:
Adjust Balance HrefThe adjusted balance's href. (BRM does not use this property). -
id: string
Title:
Adjust Balance IDThe adjusted balance's ID. -
impactedBucket: array
impactedBucket
The buckets are impacted by the adjustment. itself.
-
logicalResource: object
Logical Resource Ref
Title:
Logical Resource RefA reference to a logical resource. -
partyAccount: object
Party Account Ref
Title:
Party Account RefA reference to a party account. -
product: object
ProductRef
A product reference.
-
reason:
Title:
ReasonThe reason for the adjustment. - relatedParty: array relatedParty
-
requestedDate: string
(date-time)
Title:
Requested DateThe date and time that the request was received. -
requestor: object
Related Party
Title:
Related PartyA party related to another object. -
status: string
The adjustment's status.
-
taxTreatment: string
The tax treatment for the adjustment.
-
usageType: string
The usage type associated with the adjusted balance.
Nested Schema : Quantity
Type:
objectRepresents an amount in a specified unit.
Show Source
-
amount: number
(double)
Default Value:
1The numeric value in the specified unit. -
units: string
The unit.
Nested Schema : bieId
Type:
arrayThe bills, items, or events are associated with the adjustment.
Show Source
-
Array of:
object BIEField Oracle
Title:
BIEField OracleA bill, item, or event, extended for BRM REST Services Manager.
Nested Schema : Billing Cycle Specification Ref Oracle
Type:
objectTitle:
Billing Cycle Specification Ref OracleA reference to a billing cycle specification, extended for BRM REST Services Manager.
Show Source
-
href: string
Title:
HrefThe billing cycle specification's href. -
id: string
Title:
IDThe billing cycle specification's ID. -
name: string
Title:
NameThe billing cycle specification's name.
Nested Schema : Bill Structure Ref
Type:
objectTitle:
Bill Structure RefA reference to a bill structure, extended for BRM REST Services Manager.
Show Source
-
href: string
Title:
HrefThe bill structure's href. -
id: string
Title:
IDThe bill structure's ID. -
name: string
Title:
NameThe bill structure's name.
Nested Schema : Bucket Ref
Type:
objectTitle:
Bucket RefA reference to a bucket.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
(uri)
The bucket's href.
-
id(required): string
Title:
Bucket IDThe bucket's ID. -
name: string
Title:
Bucket NameThe bucket's name. -
usageType: string
The bucket's usage type.
Nested Schema : ChannelRef
Type:
objectA reference to a channel.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Channel HrefThe channel's href. -
id(required): string
Title:
Channel IDThe channel's ID. -
name: string
Title:
Channel NameThe channel's name.
Nested Schema : impactedBucket
Type:
arrayThe buckets are impacted by the adjustment. itself.
Show Source
-
Array of:
object ImpactedBucket
A bucket impacted by a balance top-up, adjustment, transfer, or reservation.
Nested Schema : Logical Resource Ref
Type:
objectTitle:
Logical Resource RefA reference to a logical resource.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
HrefThe resource's href. -
id(required): string
Title:
IDThe resource's ID. -
name: string
Title:
NameThe resource's name. -
value: string
The device number(PIN_FLD_ALIAS_LIST) or the login (PIN_FLD_LOGIN).
Nested Schema : Party Account Ref
Type:
objectTitle:
Party Account RefA reference to a party account.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
description: string
Title:
DescriptionThe party account's description. -
href: string
Title:
HrefThe party account's href. -
id(required): string
Title:
Account IDThe party account's ID. -
name: string
Title:
NameThe party account's name. -
status: string
Title:
StatusThe overall status of the account. For example: due, paid, or in arrears.
Nested Schema : ProductRef
Type:
objectA product reference.
Match All
A product reference.
A product reference.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
Nested Schema : Related Party
Type:
objectTitle:
Related PartyA party related to another object.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType(required): string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
(uri)
Title:
HrefThe party's href. -
id(required): string
Title:
Party IDThe party's ID. -
name: string
Title:
Party NameThe party's name. -
role: string
Title:
Party RoleThe party's role.
Nested Schema : BIEField Oracle
Type:
objectTitle:
BIEField OracleA bill, item, or event, extended for BRM REST Services Manager.
Show Source
-
href: string
Title:
HrefThe bill, item, or event href. -
id(required): string
Title:
IDThe bill, item, or event ID.
Nested Schema : ImpactedBucket
Type:
objectA bucket impacted by a balance top-up, adjustment, transfer, or reservation.
Show Source
-
@baseType: string
The object's superclass.
-
@schemaLocation: string
(uri)
A URI to a JSON schema file that defines additional attributes and relationships.
-
@type: string
The object's subclass.
-
amountAfter: object
Quantity
Represents an amount in a specified unit.
-
amountBefore: object
Quantity
Represents an amount in a specified unit.
-
bucket: object
Bucket Ref
Title:
Bucket RefA reference to a bucket. -
confirmationDate: string
(date-time)
The date and time the impact was confirmed.
-
description: string
The impacted bucket's description.
-
item(required): array
item
Minimum Number of Items:
1The impacted bucket items. -
name: string
The impacted bucket's name.
-
requestedDate: string
(date-time)
The date and time the request was received.
Nested Schema : item
Type:
arrayMinimum Number of Items:
1The impacted bucket items.
Show Source
-
Array of:
object ImpactedBucketItem
An impact item that affects an ImpactedBucket object.
Nested Schema : ImpactedBucketItem
Type:
objectAn impact item that affects an ImpactedBucket object.
Show Source
-
@baseType: string
The object's superclass.
-
@schemaLocation: string
(uri)
A URI to a JSON schema file that defines additional attributes and relationships.
-
@type: string
The object's subclass.
-
amount: object
Quantity
Represents an amount in a specified unit.
-
description: string
The impact item's description.
-
itemType: string
The impact item's type, indicating if the bucket is incremented (credit) or decremented (debit).
-
name: string
The impact item's name indicates the transaction activity, such as a top-up or bonus. additional bonus, tax, or fees.
-
reason: string
The reason for the impact item.
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
-
object
EntityRef-allOf[2]
Represents an entity reference schema for EntityRef classes.
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Addressable
Type:
objectDefines a base schema for addressable entities.
Show Source
-
href: string
The hyperlink reference.
-
id: string
The ID.
Nested Schema : EntityRef-allOf[2]
Type:
objectRepresents an entity reference schema for EntityRef classes.
Show Source
-
@referredType: string
The actual type of the target instance when needed for disambiguation.
-
href: string
The URI of the referred entity.
-
id(required): string
The identifier of the referred entity.
-
name: string
The referred entity's name.
400 Response
The request isn't valid.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
The client doesn't have the correct privileges.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
The request wasn't authorized.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
The requested resource couldn't be found.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
This method is not allowed.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
The request could not be processed due to the conflict with the existing state of the resource.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
The system encountered an internal error.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
The following example shows how to get a balance adjustment with a specified ID by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
This request uses the id path parameter set to an item adjustment number, but you can also set it to an item adjustment POID.
curl -X GET 'http://host:port/brm/prepayBalanceManagement/version/adjustBalance/A1-19'
Response Body
The following example shows the contents of the response body in JSON format.
{
"id": "A1-19",
"href": "http://host:port/brm/prepayBalanceManagement/version/adjustBalance/A1-19",
"confirmationDate": "2025-01-08T07:40:45-08:00",
"description": "",
"reason": "1",
"requestedDate": "2025-01-08T07:40:45-08:00",
"adjustType": null,
"amount": {
"amount": -2.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"bucket": null,
"channel": null,
"logicalResource": null,
"partyAccount": {
"id": "0.0.0.1+-account+228862",
"href": null,
"description": null,
"name": "Daniel R",
"status": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"product": null,
"relatedParty": null,
"requestor": {
"id": null,
"href": null,
"name": "Billing Care",
"role": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"status": "COMPLETED",
"usageType": "MONETARY",
"validFor": null,
"@baseType": "AdjustBalance",
"@schemaLocation": null,
"@type": "AdjustBalance"
}